import { FetchFunction } from "@vot.js/core/types/client";
import { BaseHelperInterface, BaseHelperOpts } from "@vot.js/core/types/helpers/base";
import type { MinimalVideoData } from "../types/client.js";
import type { ServiceConf, VideoService } from "../types/service.js";
export declare class VideoHelperError extends Error {
    constructor(message: string);
}
export declare class BaseHelper implements BaseHelperInterface<VideoService, ServiceConf> {
    API_ORIGIN: string;
    fetch: FetchFunction;
    extraInfo: boolean;
    referer: string;
    origin: string;
    service?: ServiceConf;
    language: string;
    constructor({ fetchFn, extraInfo, referer, origin, service, language, }?: BaseHelperOpts<ServiceConf>);
    getVideoData(_videoId: string): Promise<MinimalVideoData | undefined>;
    getVideoId(_url: URL): Promise<string | undefined>;
    returnBaseData(videoId: string): {
        url: string;
        videoId: string;
        host: import("@vot.js/core/types/service").VideoService;
        duration: undefined;
    } | undefined;
}
//# sourceMappingURL=base.d.ts.map