import { Type, Static, TSchema } from '@sinclair/typebox'


export type ServiceConf<T extends TSchema> = Static<ReturnType<typeof ServiceConf<T>>>
export const ServiceConf = <T extends TSchema>(T: T) => Type.Object({
host: T,
url: Type.Optional(Type.String()),
match: Type.Optional(Type.Any()),
rawResult: Type.Optional(Type.Literal(true)),
needExtraData: Type.Optional(Type.Literal(true)),
additionalData: Type.Optional(Type.String())
})

export type VideoService = Static<typeof VideoService>
export const VideoService = CoreVideoService

export type ServiceConf<T extends TSchema> = Static<ReturnType<typeof ServiceConf<T>>>
export const ServiceConf = <T extends TSchema>(T: T) => CoreServiceConf(T)